<?php
/**
 * Set the content width based on the theme's design and stylesheet.
 */
 
//Content width 
if ( ! isset( $content_width ) ) {
	$content_width = 900;
}



//Js scripts
function pvs_theme_js_scripts() {
	if ( is_singular() ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'pvs_theme_js_scripts' );


//The theme supports:
add_theme_support( 'menus' );
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'title-tag' );
add_theme_support( 'post-thumbnails' );
add_theme_support( 'html5', array(
		'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
	) );
add_theme_support( 'post-formats', array(
		'aside'
	) );


//Disable top admin panel
add_filter('show_admin_bar', '__return_false');


//Widgets
function pvs_widgets(){
	register_sidebar( array(
		'name'          => __( 'Footer area 1', 'pvs-fashion' ),
		'id'            => 'sidebar-footer-area-1',
		'description'   => '',
		'before_widget' => '',
		'after_widget'  => '',
		'before_title'  => '<h4 class="widget-title title-top-border">',
		'after_title'   => '</h4>',
	) );
	register_sidebar( array(
		'name'          => __( 'Footer area 2', 'pvs-fashion' ),
		'id'            => 'sidebar-footer-area-2',
		'description'   => '',
		'before_widget' => '',
		'after_widget'  => '',
		'before_title'  => '<h4 class="widget-title title-top-border">',
		'after_title'   => '</h4>',
	) );
	register_sidebar( array(
		'name'          => __( 'Footer area 3', 'pvs-fashion' ),
		'id'            => 'sidebar-footer-area-3',
		'description'   => '',
		'before_widget' => '',
		'after_widget'  => '',
		'before_title'  => '<h4 class="widget-title title-top-border">',
		'after_title'   => '</h4>',
	) );
	register_sidebar( array(
		'name'          => __( 'Footer area 4', 'pvs-fashion' ),
		'id'            => 'sidebar-footer-area-4',
		'description'   => '',
		'before_widget' => '',
		'after_widget'  => '',
		'before_title'  => '<h4 class="widget-title title-top-border">',
		'after_title'   => '</h4>',
	) );
}
add_action( 'widgets_init', 'pvs_widgets' );
//End. Widgets

//Menu
register_nav_menus( array(
	//'fashionleftmenu' => __( 'fashion Left Menu', 'pvs-fashion' ),
	//'fashionbottommenu' => __( 'fashion Bottom Menu', 'pvs-fashion' )
) );

function pvs_fashion_menu() {
	get_template_part('menu');
}




//Theme header/footer for internal pages
$pvs_theme_header = '<div class="container second_page">' ;
$pvs_theme_footer = '</div>';




//Customize
function pvs_fashion_customize($wp_customize) {

	//Logo
    $wp_customize->add_section(
        'pvs_fashion_logo',
        array(
            'title' => 'Logo',
            'description' => '',
            'priority' => 1,
        )
    );
    
     $wp_customize->add_setting( 
    	'logo_upload', 
    	array(
			'default' => get_template_directory_uri() . '/assets/img/logo.png',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
    );
 
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'logo_upload',
			array(
				'label' => 'Logo Upload',
				'section' => 'pvs_fashion_logo',
				'settings' => 'logo_upload'
			)
		)
	);
	
	$wp_customize->add_setting(
		'logo_text',
		array(
			'default' => 'Mon-fri: 9:00-19:00',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'logo_text',
		array(
			'label' => 'Top Text',
			'section' => 'pvs_fashion_logo',
			'type' => 'text',
		)
	);
	

	//End. Logo
	
	//Slideshow
	$wp_customize->add_section(
        'pvs_fashion_slideshow',
        array(
            'title' => 'Homepage Slideshow',
            'description' => '',
            'priority' => 2,
        )
    );
    
    $wp_customize->add_setting(
		'hide_slideshow'
	);
	
	$wp_customize->add_control(
		'hide_slideshow',
		array(
			'label' => 'Hide Slideshow',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'checkbox',
		)
	);
    
    //Slide 1
    $wp_customize->add_setting( 
    	'slider1_upload', 
    	array(
			'default' => get_template_directory_uri() . '/assets/img/slide1.jpg',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
    );
 
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'slider1_upload',
			array(
				'label' => 'Slide 1 Upload',
				'section' => 'pvs_fashion_slideshow',
				'settings' => 'slider1_upload'
			)
		)
	);
    
    $wp_customize->add_setting(
		'slider1_title',
		array(
			'default' => 'Photo Store',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider1_title',
		array(
			'label' => 'Slide 1 Title',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'text',
		)
	);

	
	 $wp_customize->add_setting(
		'slider1_subtitle',
		array(
			'default' => 'The best way to sell your photos and prints online',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider1_subtitle',
		array(
			'label' => 'Slide 1 Subtitle',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'slider1_description',
		array(
			'default' => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider1_description',
		array(
			'label' => 'Slide 1 Description',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'slider1_button_text',
		array(
			'default' => 'Browse catalog',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider1_button_text',
		array(
			'label' => 'Slide 1 Button text',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'slider1_button_link',
		array(
			'default' => site_url() . '/index.php?search=',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider1_button_link',
		array(
			'label' => 'Slide 1 Button link',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'text',
		)
	);
	//End. Slide 1
	
	//Slide 2
	$wp_customize->add_setting( 
    	'slider2_upload', 
    	array(
			'default' => get_template_directory_uri() . '/assets/img/slide2.jpg',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
    );
 
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'slider2_upload',
			array(
				'label' => 'Slide 2 Upload',
				'section' => 'pvs_fashion_slideshow',
				'settings' => 'slider2_upload'
			)
		)
	);
    
    $wp_customize->add_setting(
		'slider2_title',
		array(
			'default' => 'Prints and Media collections',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider2_title',
		array(
			'label' => 'Slide 2 Title',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'text',
		)
	);
	
    $wp_customize->add_setting(
		'slider2_subtitle',
		array(
			'default' => 'Sell online',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider2_subtitle',
		array(
			'label' => 'Slide 2 Subtitle',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'text',
		)
	);	
	
	
	$wp_customize->add_setting(
		'slider2_description',
		array(
			'default' => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider2_description',
		array(
			'label' => 'Slide 2 Description',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'slider2_button_text',
		array(
			'default' => 'Shop Now',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider2_button_text',
		array(
			'label' => 'Slide 2 Button text',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'slider2_button_link',
		array(
			'default' => site_url() . '/?search=',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider2_button_link',
		array(
			'label' => 'Slide 2 Button link',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'text',
		)
	);
	//End. Slide 2
	
	//Slide 3
	$wp_customize->add_setting( 
    	'slider3_upload', 
    	array(
			'default' => get_template_directory_uri() . '/assets/img/slide3.jpg',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
    );
 
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'slider3_upload',
			array(
				'label' => 'Slide 3 Upload',
				'section' => 'pvs_fashion_slideshow',
				'settings' => 'slider3_upload'
			)
		)
	);
    
    $wp_customize->add_setting(
		'slider3_title',
		array(
			'default' => 'Signup as photographer',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider3_title',
		array(
			'label' => 'Slide 3 Title',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'text',
		)
	);
	
    $wp_customize->add_setting(
		'slider3_subtitle',
		array(
			'default' => 'Upload images and earn commission',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider3_subtitle',
		array(
			'label' => 'Slide 3 Subtitle',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'text',
		)
	);	
	
	
	$wp_customize->add_setting(
		'slider3_description',
		array(
			'default' => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider3_description',
		array(
			'label' => 'Slide 3 Description',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'slider3_button_text',
		array(
			'default' => 'Signup',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider3_button_text',
		array(
			'label' => 'Slide 3 Button text',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'slider3_button_link',
		array(
			'default' => site_url() . '/signup/',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider3_button_link',
		array(
			'label' => 'Slide 3 Button link',
			'section' => 'pvs_fashion_slideshow',
			'type' => 'text',
		)
	);
	

	//End. Slideshow
	
	//Search
	$wp_customize->add_section(
        'pvs_fashion_search',
        array(
            'title' => 'Search',
            'description' => '',
            'priority' => 3,
        )
    );
    
    $wp_customize->add_setting(
		'hide_search'
	);
	
	$wp_customize->add_control(
		'hide_search',
		array(
			'label' => 'Hide search bar',
			'section' => 'pvs_fashion_search',
			'type' => 'checkbox',
		)
	);
	
	//End. Search
	
	
	
		//Media collections
	$wp_customize->add_section(
        'pvs_fashion_collections',
        array(
            'title' => 'Media collections',
            'description' => '',
            'priority' => 3,
        )
    );
    
    $wp_customize->add_setting(
		'hide_collections'
	);
	
	$wp_customize->add_control(
		'hide_collections',
		array(
			'label' => 'Hide collections',
			'section' => 'pvs_fashion_collections',
			'type' => 'checkbox',
		)
	);
    
    $wp_customize->add_setting( 
    	'collections_upload', 
    	array(
			'default' => get_template_directory_uri() . '/assets/img/collections.jpg',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
    );
 
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'collections_upload',
			array(
				'label' => 'Collection',
				'section' => 'pvs_fashion_collections',
				'settings' => 'collections_upload'
			)
		)
	);
	
	$wp_customize->add_setting(
		'collections_url',
		array(
			'default' => site_url( ) . "/media-collections/",
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'collections_url',
		array(
			'label' => 'Collection URL',
			'section' => 'pvs_fashion_collections',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'collections_title',
		array(
			'default' => 'Me',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'collections_title',
		array(
			'label' => 'Collection Title White',
			'section' => 'pvs_fashion_collections',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'collections_title_blue',
		array(
			'default' => 'dia',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'collections_title_blue',
		array(
			'label' => 'Collection Title Blue',
			'section' => 'pvs_fashion_collections',
			'type' => 'text',
		)
	);
	
		$wp_customize->add_setting(
		'collections_title2',
		array(
			'default' => 'Co',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'collections_title2',
		array(
			'label' => 'Collection Title 2 White',
			'section' => 'pvs_fashion_collections',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'collections_title2_blue',
		array(
			'default' => 'llection',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'collections_title2_blue',
		array(
			'label' => 'Collection Title 2 Blue',
			'section' => 'pvs_fashion_collections',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'collections_description',
		array(
			'default' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi perspiciatis eius quis quam odio, error accusantium, quis ullam sint exercitationem mollitia accusa mus magnam debitis dolor culpa quibusdam animi adipisci ducimus magnam debi tis dolor culpa quibusdam animi adipisci ducimus natus?',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'collections_description',
		array(
			'label' => 'Collection description',
			'section' => 'pvs_fashion_collections',
			'type' => 'text',
		)
	);


	$wp_customize->add_setting(
		'collections_button_text_white',
		array(
			'default' => 'View',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'collections_button_text_white',
		array(
			'label' => 'Collection button text white',
			'section' => 'pvs_fashion_collections',
			'type' => 'text',
		)
	);
	
	
	$wp_customize->add_setting(
		'collections_button_text_blue',
		array(
			'default' => 'collection',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'collections_button_text_blue',
		array(
			'label' => 'Collection button text blue',
			'section' => 'pvs_fashion_collections',
			'type' => 'text',
		)
	);	
	
	
	
	//Banners
	$wp_customize->add_section(
        'pvs_fashion_banners',
        array(
            'title' => 'Homepage Banners',
            'description' => '',
            'priority' => 3,
        )
    );
    
    $wp_customize->add_setting(
		'hide_banners'
	);
	
	$wp_customize->add_control(
		'hide_banners',
		array(
			'label' => 'Hide banners',
			'section' => 'pvs_fashion_banners',
			'type' => 'checkbox',
		)
	);
    
    $wp_customize->add_setting( 
    	'banner1_upload', 
    	array(
			'default' => get_template_directory_uri() . '/assets/img/banner1.jpg',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
    );
 
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'banner1_upload',
			array(
				'label' => 'Banner 1',
				'section' => 'pvs_fashion_banners',
				'settings' => 'banner1_upload'
			)
		)
	);
	
	$wp_customize->add_setting(
		'banner1_url',
		array(
			'default' => site_url( ) . "/?search=",
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'banner1_url',
		array(
			'label' => 'Banner 1 URL',
			'section' => 'pvs_fashion_banners',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'banner1_title',
		array(
			'default' => 'Albums',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'banner1_title',
		array(
			'label' => 'Title',
			'section' => 'pvs_fashion_banners',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'banner1_link_title',
		array(
			'default' => 'Shop Now',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'banner1_link_title',
		array(
			'label' => 'Link title',
			'section' => 'pvs_fashion_banners',
			'type' => 'text',
		)
	);
	

	
	$wp_customize->add_setting( 
    	'banner2_upload', 
    	array(
			'default' => get_template_directory_uri() . '/assets/img/banner2.jpg',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
    );
 
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'banner2_upload',
			array(
				'label' => 'Banner 2',
				'section' => 'pvs_fashion_banners',
				'settings' => 'banner2_upload'
			)
		)
	);
	
	$wp_customize->add_setting(
		'banner2_url',
		array(
			'default' => site_url( ) . "/?search=",
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'banner2_url',
		array(
			'label' => 'Banner 2 URL',
			'section' => 'pvs_fashion_banners',
			'type' => 'text',
		)
	);
	

	
	$wp_customize->add_setting(
		'banner2_title',
		array(
			'default' => 'Photo Sets',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'banner2_title',
		array(
			'label' => 'Banner 2 Title',
			'section' => 'pvs_fashion_banners',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'banner2_link_title',
		array(
			'default' => 'Shop now',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'banner2_link_title',
		array(
			'label' => 'Link title',
			'section' => 'pvs_fashion_banners',
			'type' => 'text',
		)
	);
	
	

	//End. Banners
	
	
	
	//Featured images
	$wp_customize->add_section(
        'pvs_fashion_featured_images',
        array(
            'title' => 'Featured Photos',
            'description' => '',
            'priority' => 4,
        )
    );
    
    $wp_customize->add_setting(
		'hide_featured_images'
	);
	
	$wp_customize->add_control(
		'hide_featured_images',
		array(
			'label' => 'Hide featured images',
			'section' => 'pvs_fashion_featured_images',
			'type' => 'checkbox',
		)
	);
	
	$wp_customize->add_setting(
		'featured_images_title',
		array(
			'default' => 'Featured images',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'featured_images_title',
		array(
			'label' => 'Title',
			'section' => 'pvs_fashion_featured_images',
			'type' => 'text',
		)
	);
	

	
	
	//End. Featured images

	
	
	//Latest images
	$wp_customize->add_section(
        'pvs_fashion_latest_images',
        array(
            'title' => 'Homepage New images',
            'description' => '',
            'priority' => 6,
        )
    );
    
    $wp_customize->add_setting(
		'hide_latest_images'
	);
	
	$wp_customize->add_control(
		'hide_latest_images',
		array(
			'label' => 'New Images',
			'section' => 'pvs_fashion_latest_images',
			'type' => 'checkbox',
		)
	);
	
	$wp_customize->add_setting(
		'latest_images_title',
		array(
			'default' => 'Latest images',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'latest_images_title',
		array(
			'label' => 'Title',
			'section' => 'pvs_fashion_latest_images',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'latest_images_description',
		array(
			'default' => 'Hundreds of photos every day.',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'latest_images_description',
		array(
			'label' => 'Description',
			'section' => 'pvs_fashion_latest_images',
			'type' => 'text',
		)
	);
	

	
	//End. latest images
	
	

		//Brands
	$wp_customize->add_section(
        'pvs_fashion_brands',
        array(
            'title' => 'Brands',
            'description' => '',
            'priority' => 6,
        )
    );
    
    $wp_customize->add_setting(
		'hide_brands'
	);
	
	$wp_customize->add_control(
		'hide_brands',
		array(
			'label' => 'Hide brands',
			'section' => 'pvs_fashion_brands',
			'type' => 'checkbox',
		)
	);
	

	
	//End. Brands
	

	
	
	//Footer
    $wp_customize->add_section(
        'pvs_fashion_footer',
        array(
            'title' => 'Footer',
            'description' => '',
            'priority' => 7,
        )
    );

	
	$wp_customize->add_setting(
		'footer_copyright_year',
		array(
			'default' => '2019',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'footer_copyright_year',
		array(
			'label' => 'Year',
			'section' => 'pvs_fashion_footer',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'footer_copyright_text',
		array(
			'default' => 'Free Themes Cloud.',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'footer_copyright_text',
		array(
			'label' => 'Copyright',
			'section' => 'pvs_fashion_footer',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'footer_copyright_link',
		array(
			'default' => 'https://freethemescloud.com/',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'footer_copyright_link',
		array(
			'label' => 'Copyright Link',
			'section' => 'pvs_fashion_footer',
			'type' => 'text',
		)
	);
	
	
	$wp_customize->add_setting(
		'footer_description',
		array(
			'default' => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'footer_description',
		array(
			'label' => 'Description',
			'section' => 'pvs_fashion_footer',
			'type' => 'text',
		)
	);
	
	
	$wp_customize->add_setting(
		'footer_address',
		array(
			'default' => '15 Pushkin St., 250<br>Los Angeles 90210, USA',
			'sanitize_callback' => 'pvs_fashion_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'footer_address',
		array(
			'label' => 'Address',
			'section' => 'pvs_fashion_footer',
			'type' => 'text',
		)
	);
	//End. Footer
}

add_action('customize_register', 'pvs_fashion_customize' );

function pvs_fashion_sanitize_text( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}
//End. Customize
 
//PVS content
if ( function_exists ( 'pvs_content' ) ) {
	pvs_content();
	
	//Remove unnecessary js scripts and css
	add_action( 'wp_print_scripts', 'pvs_remove_scripts');
	add_action( 'wp_print_styles', 'pvs_remove_styles');

	function pvs_remove_scripts() {
		wp_dequeue_script( 'jquery' );
		wp_deregister_script( 'jquery' );
		
		wp_dequeue_script( 'pvs_jquery' );
		wp_deregister_script( 'pvs_jquery' );
		
		wp_dequeue_script( 'pvs_jqueryui' );
		wp_deregister_script( 'pvs_jqueryui' );
		
		wp_dequeue_script( 'bootstrap' );
		wp_deregister_script( 'bootstrap' );
		
		wp_dequeue_script( 'pvs_jshttprequest' );
		wp_deregister_script( 'pvs_jshttprequest' );
		
		wp_dequeue_script( 'pvs_custom_js' );
		wp_deregister_script( 'pvs_custom_js' );
	}
		
	function pvs_remove_styles() {
		wp_dequeue_style( 'pvs_css' );
		wp_deregister_style( 'pvs_css' );
		
		wp_dequeue_style( 'bootstrap_style' );
		wp_deregister_style( 'bootstrap_style' );
	}

	//Menu fashion
	function pvs_build_menu_categories_fashion($t_id) {
		global $db;
		global $dr;
		$dp = new TMySQLQuery;
		$dp->connection = $db;
		global $itg;
		global $nlimit;
		
		$nn  = 0;
		
		$sql = "select id, id_parent, title, priority, published, url from " . PVS_DB_PREFIX . "category where id_parent=" . $t_id . " and published=1 and activation_date < " . pvs_get_time() . " and (expiration_date > " . pvs_get_time() . " or expiration_date = 0) order by priority, title";
		$dp->open($sql);
		if (!$dp->eof) {
			while (!$dp->eof) {
				$title = pvs_category_url($dp->row["id"], $dp->row["url"]);
				
				$zp  = false;
				
				$sql = "select id, id_parent, title, priority, published, url from " . PVS_DB_PREFIX . "category where id_parent=" . $dp->row["id"] . " and published=1 and activation_date < " . pvs_get_time() . " and (expiration_date > " . pvs_get_time() . " or expiration_date = 0) order by priority, title";
				$dr->open($sql);
				if (!$dr->eof) {
				$zp = true;
				}
				
				if ($nlimit < 10000) {
					$translate_results = pvs_translate_category($dp->row["id"], $dp->row["title"], "", "");
					
					$ttl = addslashes($translate_results["title"]);
					
					if ($nn == 0) {
						$itg .= "<ul  class='sub-menu'>\n";
					}
					
					$class_dropdown  = "";
					
					if ($zp) {
						$class_dropdown = ' class="menu-item menu-item-has-children"';
					}
					
					$itg .= "<li " . $class_dropdown . "><a href=\"" . pvs_category_url($dp->row["id"], $dp->row["url"]) . "\" title=\"" . $ttl . "\">" . $ttl . "</a>\n";
					
					if (!$zp) {
						$itg .= "</li>";
					}
					pvs_build_menu_categories_fashion($dp->row["id"]);
					if ($zp) {
						$itg .= "</li>";
					}
				}
				$nlimit++;
				$nn++;
				$dp->movenext();
			}
			$itg .= "</ul>\n";
		}
	}
	
	$itg="";
	$nlimit=0;
	pvs_build_menu_categories_fashion(0);
	$pvs_theme_content[ 'box_categories' ] = $itg;
}


?>